//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <stdio.h>
#include <dos.h>
#include <dir.h>
#include <math.h>
#include <ExtCtrls.hpp>
#include <Chart.hpp>
#include <Series.hpp>
#include <TeEngine.hpp>
#include <TeeProcs.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TButton *Button1;
        TTimer *Timer1;
        TChart *Chart1;
        TLineSeries *Series1;
        TComboBox *ComboBox1;
        TComboBox *ComboBox2;
        TStatusBar *StatusBar1;
        TLineSeries *Series2;
        TLineSeries *Series3;
        TButton *Button2;
        TProgressBar *ProgressBar1;
        TComboBox *ComboBox3;
        TButton *Button3;
        TTimer *Timer2;
        TEdit *Edit1;
        TComboBox *ComboBox4;
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall ComboBox1Change(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall ComboBox2Change(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall ComboBox3Change(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall Timer2Timer(TObject *Sender);
        void __fastcall ComboBox4Change(TObject *Sender);
private:	// User declarations
        int N, Np, Amp[10000], Ng, Dn, Mdn;
        int Nfile[1000], Nzap[1000], smm[100];
        float TabFreq[1000], I[500], Q[500], freq[100];
        char buff[12800];
        short samples[1024000][2];
        short data[1024000][4];
        void OprIQChannels(int p);
        void OprIQChann(int chan);
        void OprIQ(void);
        void CalSignal(void);
        void IzobrData(void);
        void IzobrData2(void);
        void IzobrData3(void);
        void Sounding(void);
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
 